Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gmt.modisco.infra.query.impl
Class QueryPackageImpl

    java.lang.Object
      EPackageImpl
          org.eclipse.gmt.modisco.infra.query.impl.QueryPackageImpl

All Implemented Interfaces:
  QueryPackage

    public class QueryPackageImpl

extends EPackageImpl
implements QueryPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.gmt.modisco.infra.query.QueryPackage
`QueryPackage.Literals`

Field Summary

Fields inherited from interface org.eclipse.gmt.modisco.infra.query.QueryPackage
`eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, JAVA_MODEL_QUERY, JAVA_MODEL_QUERY__DESCRIPTION, JAVA_MODEL_QUERY__IMPLEMENTATION_CLASS_NAME, JAVA_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT, JAVA_MODEL_QUERY__LOWER_BOUND, JAVA_MODEL_QUERY__MODEL_QUERY_SET, JAVA_MODEL_QUERY__NAME, JAVA_MODEL_QUERY__PARAMETERS, JAVA_MODEL_QUERY__RETURN_TYPE, JAVA_MODEL_QUERY__SCOPE, JAVA_MODEL_QUERY__UPPER_BOUND, JAVA_MODEL_QUERY_FEATURE_COUNT, MODEL_QUERY, MODEL_QUERY__DESCRIPTION, MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT, MODEL_QUERY__LOWER_BOUND, MODEL_QUERY__MODEL_QUERY_SET, MODEL_QUERY__NAME, MODEL_QUERY__PARAMETERS, MODEL_QUERY__RETURN_TYPE, MODEL_QUERY__SCOPE, MODEL_QUERY__UPPER_BOUND, MODEL_QUERY_FEATURE_COUNT, MODEL_QUERY_PARAMETER, MODEL_QUERY_PARAMETER__LOWER_BOUND, MODEL_QUERY_PARAMETER__NAME, MODEL_QUERY_PARAMETER__TYPE, MODEL_QUERY_PARAMETER__UPPER_BOUND, MODEL_QUERY_PARAMETER_FEATURE_COUNT, MODEL_QUERY_SET, MODEL_QUERY_SET__ASSOCIATED_METAMODELS, MODEL_QUERY_SET__DESCRIPTION, MODEL_QUERY_SET__IS_EDITABLE, MODEL_QUERY_SET__NAME, MODEL_QUERY_SET__QUERIES, MODEL_QUERY_SET_FEATURE_COUNT, OCL_MODEL_QUERY, OCL_MODEL_QUERY__DESCRIPTION, OCL_MODEL_QUERY__IS_EXTERNAL_CONTEXT_DEPENDENT, OCL_MODEL_QUERY__LOWER_BOUND, OCL_MODEL_QUERY__MODEL_QUERY_SET, OCL_MODEL_QUERY__NAME, OCL_MODEL_QUERY__PARAMETERS, OCL_MODEL_QUERY__QUERY, OCL_MODEL_QUERY__RETURN_TYPE, OCL_MODEL_QUERY__SCOPE, OCL_MODEL_QUERY__UPPER_BOUND, OCL_MODEL_QUERY_FEATURE_COUNT`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`EAttribute` | `getJavaModelQuery_ImplementationClassName()`
`EClass` | `getJavaModelQuery()`
`EAttribute` | `getModelQuery_Description()`
`EAttribute` | `getModelQuery_IsExternalContextDependent()`
`EAttribute` | `getModelQuery_LowerBound()`
`EReference` | `getModelQuery_ModelQuerySet()`
`EAttribute` | `getModelQuery_Name()`
`EReference` | `getModelQuery_Parameters()`
`EReference` | `getModelQuery_ReturnType()`
`EReference` | `getModelQuery_Scope()`
`EAttribute` | `getModelQuery_UpperBound()`
`EClass` | `getModelQuery()`
`EAttribute` | `getModelQueryParameter_LowerBound()`
`EAttribute` | `getModelQueryParameter_Name()`
`EReference` | `getModelQueryParameter_Type()`
`EAttribute` | `getModelQueryParameter_UpperBound()`
`EClass` | `getModelQueryParameter()`
`EReference` | `getModelQuerySet_AssociatedMetamodels()`
`EAttribute` | `getModelQuerySet_Description()`
`EAttribute` | `getModelQuerySet_IsEditable()`
`EAttribute` | `getModelQuerySet_Name()`
`EReference` | `getModelQuerySet_Queries()`
`EClass` | `getModelQuerySet()`
`EAttribute` | `getOCLModelQuery_Query()`
`EClass` | `getOCLModelQuery()`
`QueryFactory` | `getQueryFactory()`
`static QueryPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### init

    public static QueryPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

  This method is used to initialize `QueryPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

  See Also:
    `QueryPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getModelQuerySet

    public EClass getModelQuerySet()

  Specified by:
    `getModelQuerySet` in interface `QueryPackage`
  Returns:
    the meta object for class 'Model Query Set'.
  See Also:
    `ModelQuerySet`

### getModelQuerySet_AssociatedMetamodels

    public EReference getModelQuerySet_AssociatedMetamodels()

  Specified by:
    `getModelQuerySet_AssociatedMetamodels` in interface `QueryPackage`
  Returns:
    the meta object for the reference list 'Associated Metamodels'.
  See Also:
    `ModelQuerySet.getAssociatedMetamodels()`, `QueryPackage.getModelQuerySet()`

### getModelQuerySet_Name

    public EAttribute getModelQuerySet_Name()

  Specified by:
    `getModelQuerySet_Name` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ModelQuerySet.getName()`, `QueryPackage.getModelQuerySet()`

### getModelQuerySet_IsEditable

    public EAttribute getModelQuerySet_IsEditable()

  Specified by:
    `getModelQuerySet_IsEditable` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Is Editable'.
  See Also:
    `ModelQuerySet.isIsEditable()`, `QueryPackage.getModelQuerySet()`

### getModelQuerySet_Description

    public EAttribute getModelQuerySet_Description()

  Specified by:
    `getModelQuerySet_Description` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `ModelQuerySet.getDescription()`, `QueryPackage.getModelQuerySet()`

### getModelQuerySet_Queries

    public EReference getModelQuerySet_Queries()

  Specified by:
    `getModelQuerySet_Queries` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Queries'.
  See Also:
    `ModelQuerySet.getQueries()`, `QueryPackage.getModelQuerySet()`

### getModelQuery

    public EClass getModelQuery()

  Specified by:
    `getModelQuery` in interface `QueryPackage`
  Returns:
    the meta object for class 'Model Query'.
  See Also:
    `ModelQuery`

### getModelQuery_Name

    public EAttribute getModelQuery_Name()

  Specified by:
    `getModelQuery_Name` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ModelQuery.getName()`, `QueryPackage.getModelQuery()`

### getModelQuery_Description

    public EAttribute getModelQuery_Description()

  Specified by:
    `getModelQuery_Description` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `ModelQuery.getDescription()`, `QueryPackage.getModelQuery()`

### getModelQuery_ReturnType

    public EReference getModelQuery_ReturnType()

  Specified by:
    `getModelQuery_ReturnType` in interface `QueryPackage`
  Returns:
    the meta object for the reference 'Return Type'.
  See Also:
    `ModelQuery.getReturnType()`, `QueryPackage.getModelQuery()`

### getModelQuery_Scope

    public EReference getModelQuery_Scope()

  Specified by:
    `getModelQuery_Scope` in interface `QueryPackage`
  Returns:
    the meta object for the reference list 'Scope'.
  See Also:
    `ModelQuery.getScope()`, `QueryPackage.getModelQuery()`

### getModelQuery_ModelQuerySet

    public EReference getModelQuery_ModelQuerySet()

  Specified by:
    `getModelQuery_ModelQuerySet` in interface `QueryPackage`
  Returns:
    the meta object for the container reference 'Model Query Set'.
  See Also:
    `ModelQuery.getModelQuerySet()`, `QueryPackage.getModelQuery()`

### getModelQuery_Parameters

    public EReference getModelQuery_Parameters()

  Specified by:
    `getModelQuery_Parameters` in interface `QueryPackage`
  Returns:
    the meta object for the containment reference list 'Parameters'.
  See Also:
    `ModelQuery.getParameters()`, `QueryPackage.getModelQuery()`

### getModelQuery_IsExternalContextDependent

    public EAttribute getModelQuery_IsExternalContextDependent()

  Specified by:
    `getModelQuery_IsExternalContextDependent` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Is External Context Dependent'.
  See Also:
    `ModelQuery.isIsExternalContextDependent()`, `QueryPackage.getModelQuery()`

### getModelQuery_UpperBound

    public EAttribute getModelQuery_UpperBound()

  Specified by:
    `getModelQuery_UpperBound` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Upper Bound'.
  See Also:
    `ModelQuery.getUpperBound()`, `QueryPackage.getModelQuery()`

### getModelQuery_LowerBound

    public EAttribute getModelQuery_LowerBound()

  Specified by:
    `getModelQuery_LowerBound` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Lower Bound'.
  See Also:
    `ModelQuery.getLowerBound()`, `QueryPackage.getModelQuery()`

### getJavaModelQuery

    public EClass getJavaModelQuery()

  Specified by:
    `getJavaModelQuery` in interface `QueryPackage`
  Returns:
    the meta object for class 'Java Model Query'.
  See Also:
    `JavaModelQuery`

### getJavaModelQuery_ImplementationClassName

    public EAttribute getJavaModelQuery_ImplementationClassName()

  Specified by:
    `getJavaModelQuery_ImplementationClassName` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Implementation Class Name'.
  See Also:
    `JavaModelQuery.getImplementationClassName()`, `QueryPackage.getJavaModelQuery()`

### getModelQueryParameter

    public EClass getModelQueryParameter()

  Specified by:
    `getModelQueryParameter` in interface `QueryPackage`
  Returns:
    the meta object for class 'Model Query Parameter'.
  See Also:
    `ModelQueryParameter`

### getModelQueryParameter_Name

    public EAttribute getModelQueryParameter_Name()

  Specified by:
    `getModelQueryParameter_Name` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `ModelQueryParameter.getName()`, `QueryPackage.getModelQueryParameter()`

### getModelQueryParameter_Type

    public EReference getModelQueryParameter_Type()

  Specified by:
    `getModelQueryParameter_Type` in interface `QueryPackage`
  Returns:
    the meta object for the reference 'Type'.
  See Also:
    `ModelQueryParameter.getType()`, `QueryPackage.getModelQueryParameter()`

### getModelQueryParameter_UpperBound

    public EAttribute getModelQueryParameter_UpperBound()

  Specified by:
    `getModelQueryParameter_UpperBound` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Upper Bound'.
  See Also:
    `ModelQueryParameter.getUpperBound()`, `QueryPackage.getModelQueryParameter()`

### getModelQueryParameter_LowerBound

    public EAttribute getModelQueryParameter_LowerBound()

  Specified by:
    `getModelQueryParameter_LowerBound` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Lower Bound'.
  See Also:
    `ModelQueryParameter.getLowerBound()`, `QueryPackage.getModelQueryParameter()`

### getOCLModelQuery

    public EClass getOCLModelQuery()

  Specified by:
    `getOCLModelQuery` in interface `QueryPackage`
  Returns:
    the meta object for class 'OCL Model Query'.
  See Also:
    `OCLModelQuery`

### getOCLModelQuery_Query

    public EAttribute getOCLModelQuery_Query()

  Specified by:
    `getOCLModelQuery_Query` in interface `QueryPackage`
  Returns:
    the meta object for the attribute 'Query'.
  See Also:
    `OCLModelQuery.getQuery()`, `QueryPackage.getOCLModelQuery()`

### getQueryFactory

    public QueryFactory getQueryFactory()

  Specified by:
    `getQueryFactory` in interface `QueryPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD